Bug 1265340 - [abrt] gnome-shell: gdk_window_get_state(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: gdk_window_get_state(): gnome-shell killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:85e5d7841a7accc3e7cd2dac92b...
:
: 1265358 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 13:20 EDT by Cole Robinson
Modified: 2015-10-08 17:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-29 15:19:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.98 KB, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: core_backtrace (6.63 KB, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: dso_list (24.99 KB, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: environ (2.07 KB, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: maps (119.65 KB, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: mountinfo (3.71 KB, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: open_fds (3.83 KB, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details
File: var_log_messages (300 bytes, text/plain)
2015-09-22 13:20 EDT, Cole Robinson
no flags Details

  None (edit)
Description Cole Robinson 2015-09-22 13:20:16 EDT
Description of problem:
Seems to crash at random every few hours, since updating to 3.17.92-1.fc23

Version-Release number of selected component:
gnome-shell-3.17.92-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gdk_window_get_state
executable:     /usr/bin/gnome-shell
global_pid:     10307
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 gdk_window_get_state at gdkwindow.c:2731
 #1 gdk_x11_screen_get_monitor_workarea at gdkscreen-x11.c:397
 #3 gtk_window_guess_default_size at gtkwindow.c:6267
 #4 gtk_window_realize at gtkwindow.c:7049
Comment 1 Cole Robinson 2015-09-22 13:20:20 EDT
Created attachment 1075929 [details]
File: backtrace
Comment 2 Cole Robinson 2015-09-22 13:20:21 EDT
Created attachment 1075930 [details]
File: cgroup
Comment 3 Cole Robinson 2015-09-22 13:20:22 EDT
Created attachment 1075931 [details]
File: core_backtrace
Comment 4 Cole Robinson 2015-09-22 13:20:24 EDT
Created attachment 1075932 [details]
File: dso_list
Comment 5 Cole Robinson 2015-09-22 13:20:25 EDT
Created attachment 1075933 [details]
File: environ
Comment 6 Cole Robinson 2015-09-22 13:20:26 EDT
Created attachment 1075934 [details]
File: exploitable
Comment 7 Cole Robinson 2015-09-22 13:20:27 EDT
Created attachment 1075935 [details]
File: limits
Comment 8 Cole Robinson 2015-09-22 13:20:29 EDT
Created attachment 1075936 [details]
File: maps
Comment 9 Cole Robinson 2015-09-22 13:20:30 EDT
Created attachment 1075937 [details]
File: mountinfo
Comment 10 Cole Robinson 2015-09-22 13:20:31 EDT
Created attachment 1075938 [details]
File: namespaces
Comment 11 Cole Robinson 2015-09-22 13:20:32 EDT
Created attachment 1075939 [details]
File: open_fds
Comment 12 Cole Robinson 2015-09-22 13:20:33 EDT
Created attachment 1075940 [details]
File: proc_pid_status
Comment 13 Cole Robinson 2015-09-22 13:20:35 EDT
Created attachment 1075941 [details]
File: var_log_messages
Comment 14 Matthias Clasen 2015-09-29 15:19:06 EDT
If this was with gtk3 3.17.9, it is most likely fixed in 3.18.0
Comment 15 Owen Taylor 2015-10-08 17:10:18 EDT
*** Bug 1265358 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.